.toast-title {
  font-weight: bold;
  letter-spacing: 0.4px;
}
.toast-message {
  -ms-word-wrap: break-word;
  word-wrap: break-word;
  letter-spacing: 0.2px;
}
.toast-message a,
.toast-message label {
  /*color: #000000;*/
}
.toast-message a:hover {
  /* color: #000000;*/
  text-decoration: none;
}
.toast-close-button {
  position: relative;
  right: -0.3em;
  top: -0.3em;
  float: right;
  font-size: 1.15rem;
  font-weight: bold;
  color: #FFFFFF;
  -webkit-text-shadow: 0 1px 0 #ffffff;
  text-shadow: 0 1px 0 #ffffff;
  opacity: 1.0;
  -ms-filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=100);
  filter: alpha(opacity=80);
  line-height: 1;
}
.toast-close-button:hover,
.toast-close-button:focus {
  color: #000000;
  text-decoration: none;
  cursor: pointer;
  opacity: 0.4;
  -ms-filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=40);
  filter: alpha(opacity=40);
}
.rtl .toast-close-button {
  left: -0.3em;
  float: left;
  right: 0.3em;
}
/*Additional properties for button version
 iOS requires the button element instead of an anchor tag.
 If you want the anchor version, it requires `href="#"`.*/
button.toast-close-button {
  padding: 0;
  cursor: pointer;
  background: transparent;
  border: 0;
  -webkit-appearance: none;
}
.toast-top-center {
  top: 0;
  right: 0;
  width: 100%;
}
.toast-bottom-center {
  bottom: 0;
  right: 0;
  width: 100%;
}
.toast-top-full-width {
  top: 0;
  right: 0;
  width: 100%;
}
.toast-bottom-full-width {
  bottom: 0;
  right: 0;
  width: 100%;
}
.toast-top-left {
  top: 12px;
  left: 12px;
}
.toast-top-right {
  top: 12px;
  right: 12px;
}
.toast-bottom-right {
  right: 12px;
  bottom: calc(4px + var(--h_bottom) + var(--ui-base));
}
.toast-bottom-left {
  bottom: 12px;
  left: 12px;
}
#toast-container {
  position: absolute;
  z-index: 999999;
  pointer-events: none;
  /*overrides*/
  font-size: 1.15rem;
}
#toast-container * {
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}
#toast-container > div {
  position: relative;
  pointer-events: auto;
  overflow: hidden;
  margin: 0 0 6px;
  padding: 14px 15px 12px 50px;
  width: 300px;
  -moz-border-radius: 5px 5px 5px 5px;
  -webkit-border-radius: 5px 5px 5px 5px;
  border-radius: 5px 5px 5px 5px;
  background-position: 15px center;
  background-repeat: no-repeat;
  -moz-box-shadow: 0 0 12px #000000;
  -webkit-box-shadow: 0 0 12px #000000;
  box-shadow: 0 0 12px #000000;
  /*color: #000000;*/
  opacity: 1;
  -ms-filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=100);
  filter: alpha(opacity=100);
}
#toast-container > div.rtl {
  direction: rtl;
  padding: 15px 50px 15px 15px;
  background-position: right 15px center;
}
#toast-container > div:hover {
  -moz-box-shadow: 0 0 12px #000000;
  -webkit-box-shadow: 0 0 12px #000000;
  box-shadow: 0 0 12px #000000;
  opacity: 1;
  -ms-filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=100);
  filter: alpha(opacity=100);
  cursor: pointer;
}
/*#toast-container > .toast-info {
    background-image: url("/img/icon/info_b_on.png") !important;
    background-size: 28px 28px;
    background-repeat: no-repeat;
}
#toast-container > .toast-error {
    background-image: url("/img/icon/warning_stopped_b.png") !important;
    background-size: 28px 28px;
    background-repeat: no-repeat;
}
#toast-container > .toast-success {
    background-image: url("/img/icon/success_b_on.png") !important;
    background-size: 28px 28px;
    background-repeat: no-repeat;
}
#toast-container > .toast-warning {
    background-image: url("/img/icon/warning_yellow_b.png") !important;
    background-size: 28px 28px;
    background-repeat: no-repeat;
}
#toast-container > .toast-tx {
  background-image: url("/img/icon/solana.png") !important; /* command_b_on.png * /
  background-size: 28px 28px;
  background-repeat: no-repeat;
}
#toast-container > .toast-action {
  background-image: url("/img/icon/action_b_on.png") !important;
  background-size: 28px 28px;
  background-repeat: no-repeat;
}
#toast-container > .toast-init {
    background-image: url("/img/icon/solana.png") !important;
    background-size: 28px 28px;
    background-repeat: no-repeat;
}*/
#toast-container.toast-top-center > div,
#toast-container.toast-bottom-center > div {
  width: 300px;
  margin-left: auto;
  margin-right: auto;
}
#toast-container.toast-top-full-width > div,
#toast-container.toast-bottom-full-width > div {
  width: 96%;
  margin-left: auto;
  margin-right: auto;
}
.toast {
  background-color: #030303;
}

.toast-success {
  background-color: rgb(0, 31, 15);
  color: #3ef598;
  border: 1px solid rgb(0, 60, 29);
}
.toast-error {
  background-color: rgb(30, 0, 2);
  color: #ff7e86;
  border: 1px solid rgb(59, 0, 4);
}
.toast-info {
  background-color: rgb(0, 30, 42);
  color: #00b7ff;
  border: 1px solid rgb(0, 47, 65);
}
.toast-warning {
  background-color: rgb(32, 20, 0);
  color: #ffd74d;
  border: 1px solid rgb(61, 39, 0);
}
.toast-tx {
  background-color: rgb(30, 37, 0);
  color: #d0ff00;
  border: 1px solid rgb(60, 74, 0);
}
.toast-init {
  background-color: rgb(30, 37, 0);
  color: #d0ff00;
  border: 1px solid rgb(60, 74, 0);
}
.toast-action {
  background-color: rgb(0, 30, 30);
  color: #02f3f3;
  border: 1px solid rgb(0, 59, 59);
}
.toast-progress {
  position: absolute;
  left: 0;
  top: 0;
  height: 5px;
  background-color: #000000;
  opacity: 0.4;
  -ms-filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=40);
  filter: alpha(opacity=40);
}
/*Responsive Design*/
@media all and (max-width: 240px) {
  #toast-container > div {
    padding: 8px 8px 8px 50px;
    width: 11em;
  }
  #toast-container > div.rtl {
    padding: 8px 50px 8px 8px;
  }
  #toast-container .toast-close-button {
    right: -0.2em;
    top: -0.2em;
  }
  #toast-container .rtl .toast-close-button {
    left: -0.2em;
    right: 0.2em;
  }
}
@media all and (min-width: 241px) and (max-width: 480px) {
  #toast-container > div {
    padding: 8px 8px 8px 50px;
    width: 18em;
  }
  #toast-container > div.rtl {
    padding: 8px 50px 8px 8px;
  }
  #toast-container .toast-close-button {
    right: -0.2em;
    top: -0.2em;
  }
  #toast-container .rtl .toast-close-button {
    left: -0.2em;
    right: 0.2em;
  }
}
@media all and (min-width: 481px) and (max-width: 768px) {
  #toast-container > div {
    padding: 15px 15px 15px 50px;
    width: 25em;
  }
  #toast-container > div.rtl {
    padding: 15px 50px 15px 15px;
  }
}